"""MIMIC-IV Analysis Agent Module.

A comprehensive toolkit for analyzing MIMIC-IV clinical database.
This module provides:
- Data loading and preprocessing utilities
- Core analytical functions for predictive modeling
- Patient trajectory analysis
- Order pattern detection
- Clinical interpretation tools
- Exploratory data analysis capabilities
- Visualization components
"""

# # Import submodules to make them available when importing the package
# from .core import MIMICClusteringAnalysis, MIMICClusterAnalyzer, MIMICFeatureEngineer, MIMICDataLoader, MIMICVisualizer
# from .configurations import load_config
# from .visualization import MIMICDashboardApp

# __all__ = [
#     # Configuration
#     'load_config',

#     # Core analytical modules
#     'MIMICClusteringAnalysis',
#     'MIMICClusterAnalyzer',
#     'MIMICFeatureEngineer',
#     'MIMICDataLoader',
#     'MIMICVisualizer',

#     # Visualization
#     'MIMICDashboardApp'
# ]


__version__ = "0.3.0"
__author__ = "Artin Majdi"
